Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Interface ThresholdWatchMBean

All Superinterfaces:
  WatchMBean

All Known Subinterfaces:
  CounterWatchMBean, DiskSpaceMBean, MeasurableCapabilityMBean, PeriodicWatchMBean, StopWatchMBean

All Known Implementing Classes:
  CounterWatch, CPU, DiskSpace, GaugeWatch, MeasurableCapability, Memory, PeriodicWatch, StopWatch, ThresholdWatch

    public interface ThresholdWatchMBean

extends WatchMBean

Provides a standard MBean to use when administering a Watch using JMX

Method Summary
`long` | `getBreachedCount()` Get the number of times the threshold has been breached
`long` | `getClearedCount()` Get the number of times the threshold has been cleared
`double` | `getCurrentHighThreshold()` Get the current high threshold value
`double` | `getCurrentLowThreshold()` Get the current low threshold value
`double` | `getHighThreshold()` Get the high threshold value
`double` | `getLowThreshold()` Get the low threshold value
`void` | `setCurrentHighThreshold(double threshold)` Get the current high threshold value
`void` | `setCurrentLowThreshold(double threshold)` Set the low threshold value

Methods inherited from interface org.jini.rio.watch.WatchMBean
`clear, getCalculables, getId, getLastCalculableValue`

Method Detail

### getHighThreshold

    double getHighThreshold()

  Get the high threshold value

  Returns:
    The high threshold value

### getLowThreshold

    double getLowThreshold()

  Get the low threshold value

  Returns:
    The low threshold value

### setCurrentLowThreshold

    void setCurrentLowThreshold(double threshold)

  Set the low threshold value

  Parameters:
    `threshold` - The threshold value

### getCurrentHighThreshold

    double getCurrentHighThreshold()

  Get the current high threshold value

  Returns:
    The current high threshold value

### setCurrentHighThreshold

    void setCurrentHighThreshold(double threshold)

  Get the current high threshold value

  Parameters:
    `threshold` - The current high threshold value

### getCurrentLowThreshold

    double getCurrentLowThreshold()

  Get the current low threshold value

  Returns:
    The current low threshold value

### getBreachedCount

    long getBreachedCount()

  Get the number of times the threshold has been breached

  Returns:
    The number of times the threshold has been breached

### getClearedCount

    long getClearedCount()

  Get the number of times the threshold has been cleared

  Returns:
    The number of times the threshold has been cleared

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.